<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="xacnhanthongtin" language="groovy" pageWidth="1296" pageHeight="1000" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="1286" leftMargin="5" rightMargin="5" topMargin="3" bottomMargin="3">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="193"/>
	<property name="ireport.y" value="0"/>
	<subDataset name="f01">
		<queryString language="SQL">
			<![CDATA[select to_char(sysdate,'dd') ngay1 ,to_char(sysdate,'mm') thang1, to_char(sysdate,'yyyy') nam1 from dual]]>
		</queryString>
		<field name="NGAY1" class="java.lang.String"/>
		<field name="THANG1" class="java.lang.String"/>
		<field name="NAM1" class="java.lang.String"/>
	</subDataset>
	<parameter name="ps_agent" class="java.lang.String"/>
	<parameter name="NEO_SQL_META_MAP" class="java.lang.Object"/>
	<parameter name="nguoi_th" class="java.lang.String"/>
	<parameter name="tungay" class="java.lang.String"/>
	<parameter name="denngay" class="java.lang.String"/>
	<parameter name="dispatch_name" class="java.lang.String"/>
	<parameter name="status_text" class="java.lang.String"/>
	<queryString>
		<![CDATA[begin ?:= admin_v2.pkg_manage_catelory.category_reg_report_2('{p0tungay}','{p0denngay}','{p0dv}','{p0bc}','{p0modify_by}','{p0ps_agent}','{p0dispatch}','{p0package}','{p0status}');end;]]>
	</queryString>
	<field name="tencoquan" class="java.lang.String"/>
	<field name="madn" class="java.lang.String"/>
	<field name="thanhtoan" class="java.lang.String"/>
	<field name="sotb" class="java.lang.String"/>
	<field name="goicuoc" class="java.lang.String"/>
	<field name="ngayhm" class="java.lang.String"/>
	<field name="ngayhetkm" class="java.lang.String"/>
	<field name="chungloai" class="java.lang.String"/>
	<field name="trangthai" class="java.lang.String"/>
	<field name="vnp" class="java.lang.String"/>
	<field name="vnpt" class="java.lang.String"/>
	<field name="note" class="java.lang.String"/>
	<field name="diachi" class="java.lang.String"/>
	<field name="ten_tt" class="java.lang.String"/>
	<field name="tien_dc" class="java.lang.String"/>
	<field name="money_add" class="java.lang.String"/>
	<field name="modify_by" class="java.lang.String"/>
	<field name="price" class="java.lang.String"/>
	<field name="cuoc_ck" class="java.lang.String"/>
	<field name="ten_dv" class="java.lang.String"/>
	<field name="regis_date" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="352" splitType="Stretch">
			<staticText>
				<reportElement x="796" y="10" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Cộng hòa xã hội chủ nghĩa Việt Nam]]></text>
			</staticText>
			<staticText>
				<reportElement x="796" y="24" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false" pdfEncoding="Identity-H" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Độc lập - Tự do - Hạnh phúc]]></text>
			</staticText>
			<image>
				<reportElement x="64" y="10" width="114" height="42"/>
				<imageExpression class="java.lang.String"><![CDATA["images\\vinaphone_logo.png"]]></imageExpression>
			</image>
			<staticText>
				<reportElement x="796" y="38" width="324" height="14"/>
				<box>
					<pen lineWidth="0.0"/>
					<topPen lineWidth="0.0"/>
					<leftPen lineWidth="0.0"/>
					<bottomPen lineWidth="0.0"/>
					<rightPen lineWidth="0.0"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[-------------o0o-------------]]></text>
			</staticText>
			<staticText>
				<reportElement x="1" y="265" width="22" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Stt]]></text>
			</staticText>
			<staticText>
				<reportElement x="23" y="265" width="33" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tỉnh]]></text>
			</staticText>
			<staticText>
				<reportElement x="198" y="265" width="86" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tên Khách hàng/DN	]]></text>
			</staticText>
			<staticText>
				<reportElement x="559" y="265" width="59" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Số thuê bao]]></text>
			</staticText>
			<staticText>
				<reportElement x="618" y="265" width="101" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Gói cước KM]]></text>
			</staticText>
			<staticText>
				<reportElement x="719" y="265" width="51" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày hòa mạng]]></text>
			</staticText>
			<staticText>
				<reportElement x="770" y="265" width="57" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày hết hạn]]></text>
			</staticText>
			<staticText>
				<reportElement x="827" y="265" width="90" height="34"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Giá trị  TBĐC khuyến mãi]]></text>
			</staticText>
			<staticText>
				<reportElement x="1085" y="265" width="66" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Trạng thái hoạt động]]></text>
			</staticText>
			<staticText>
				<reportElement x="1216" y="265" width="65" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ghi chú (đối với TH TB không nhận máy tặng)]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="86" width="1190" height="50"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="20" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[BÁO CÁO SỐ LƯỢNG THUÊ BAO HÒA MẠNG MỚI VÀ TRẠNG THÁI HOẠT ĐỘNG CỦA CÁC THUÊ BAO]]></text>
			</staticText>
			<staticText>
				<reportElement x="349" y="265" width="69" height="87"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tên thanh toán]]></text>
			</staticText>
			<textField isBlankWhenNull="true">
				<reportElement x="450" y="66" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="400" y="166" width="100" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Từ ngày:]]></text>
			</staticText>
			<staticText>
				<reportElement x="605" y="166" width="66" height="20"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Đến ngày:]]></text>
			</staticText>
			<textField>
				<reportElement x="500" y="166" width="93" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{tungay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="671" y="166" width="100" height="20"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{denngay}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="0" y="136" width="1190" height="30"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="16" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{dispatch_name}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="400" y="186" width="371" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<staticText>
				<reportElement x="284" y="265" width="65" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" isBold="true" pdfEncoding="Identity-H" isPdfEmbedded="true"/>
				</textElement>
				<text><![CDATA[Mã DN/ Mã KH]]></text>
			</staticText>
			<staticText>
				<reportElement x="917" y="265" width="55" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Mức đặt cọc (Nếu có)]]></text>
			</staticText>
			<staticText>
				<reportElement x="1027" y="265" width="58" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Tiền thu thêm]]></text>
			</staticText>
			<staticText>
				<reportElement x="56" y="265" width="71" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[User cập nhật thông tin]]></text>
			</staticText>
			<staticText>
				<reportElement x="418" y="265" width="141" height="87"/>
				<box>
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="11" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Địa chỉ thanh toán]]></text>
			</staticText>
			<staticText>
				<reportElement x="827" y="299" width="45" height="53"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Chủng loại]]></text>
			</staticText>
			<staticText>
				<reportElement x="872" y="299" width="45" height="53"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Đơn giá]]></text>
			</staticText>
			<staticText>
				<reportElement x="972" y="265" width="55" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Cước cam kết]]></text>
			</staticText>
			<staticText>
				<reportElement x="127" y="265" width="71" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Đơn vị quản lý]]></text>
			</staticText>
			<textField>
				<reportElement x="605" y="218" width="359" height="20"/>
				<textElement>
					<font fontName="Times New Roman" size="13" isItalic="true"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{status_text}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="503" y="216" width="102" height="22"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="13" isBold="false" isItalic="true"/>
				</textElement>
				<text><![CDATA[Loại dữ liệu]]></text>
			</staticText>
			<staticText>
				<reportElement x="1151" y="265" width="65" height="87"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" isBold="true" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[Ngày thao tác]]></text>
			</staticText>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToTallestObject" x="1117" y="0" width="65" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{note}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band splitType="Stretch"/>
	</columnHeader>
	<detail>
		<band height="23" splitType="Stretch">
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="23" y="0" width="33" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{ps_agent}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1" y="0" width="22" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="198" y="0" width="86" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{tencoquan}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="559" y="0" width="59" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{sotb}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="618" y="0" width="101" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{goicuoc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="719" y="0" width="51" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ngayhm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="770" y="0" width="57" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ngayhetkm}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="827" y="0" width="45" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{chungloai}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1085" y="0" width="66" height="20"/>
				<box leftPadding="3" rightPadding="0">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{trangthai}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1216" y="0" width="65" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{note}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" mode="Opaque" x="284" y="0" width="65" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{madn}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="349" y="0" width="69" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_tt}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="917" y="0" width="55" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{tien_dc}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1027" y="0" width="58" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{money_add}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="56" y="0" width="71" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{modify_by}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="872" y="0" width="45" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{price}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="972" y="0" width="55" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{cuoc_ck}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="127" y="0" width="71" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{ten_dv}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="1151" y="0" width="65" height="20"/>
				<box leftPadding="3" rightPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{regis_date}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" isBlankWhenNull="true">
				<reportElement stretchType="RelativeToBandHeight" x="418" y="0" width="141" height="20"/>
				<box leftPadding="3">
					<pen lineWidth="0.5"/>
					<topPen lineWidth="0.5"/>
					<leftPen lineWidth="0.5"/>
					<bottomPen lineWidth="0.5"/>
					<rightPen lineWidth="0.5"/>
				</box>
				<textElement verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$F{diachi}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="184" splitType="Stretch">
			<textField isBlankWhenNull="true">
				<reportElement x="793" y="20" width="324" height="28"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" size="12" pdfFontName="Times-Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA["Ngày "+((HashMap)$P{NEO_SQL_META_MAP}).get("f01ngay1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01thang1").toString()+"/"+((HashMap)$P{NEO_SQL_META_MAP}).get("f01nam1").toString()]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="799" y="0" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
			<textField>
				<reportElement x="796" y="68" width="324" height="20"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Times New Roman" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression class="java.lang.String"><![CDATA[$P{nguoi_th}]]></textFieldExpression>
			</textField>
			<textField isBlankWhenNull="true">
				<reportElement x="796" y="48" width="324" height="20"/>
				<textElement textAlignment="Center">
					<font fontName="Times New Roman" size="12"/>
				</textElement>
			</textField>
		</band>
	</summary>
</jasperReport>
